Index: pixman/src/pixman.h
--- pixman/src/pixman.h.orig	2005-10-03 22:44:42 +0200
+++ pixman/src/pixman.h	2005-10-05 20:37:17 +0200
@@ -80,6 +80,7 @@
  * PERFORMANCE OF THIS SOFTWARE.
  */
 
+#include "config.h"
 
 #if defined (__SVR4) && defined (__sun)
 # include <sys/int_types.h>
@@ -95,7 +96,13 @@
   typedef __int64 int64_t;
   typedef unsigned __int64 uint64_t;
 #else
-# include <stdint.h>
+# if   HAVE_STDINT_H
+#  include <stdint.h>
+# elif HAVE_INTTYPES_H
+#  include <inttypes.h>
+# elif HAVE_SYS_INT_TYPES_H
+#  include <sys/int_types.h>
+# endif
 #endif
 
 #include "pixman-remap.h"
Index: src/cairoint.h
--- src/cairoint.h.orig	2005-10-03 22:44:43 +0200
+++ src/cairoint.h	2005-10-05 20:37:56 +0200
@@ -149,8 +149,6 @@
 #endif
 
 #ifndef CAIRO_MUTEX_DECLARE
-# error "No mutex declarations. Cairo will not work with multiple threads." \
-	"(Remove this #error directive to acknowledge & accept this limitation)."
 # define CAIRO_MUTEX_DECLARE(name)
 # define CAIRO_MUTEX_DECLARE_GLOBAL(name)
 # define CAIRO_MUTEX_LOCK(name)
